# Crypto QR Codes

Crypto QR Codes is a Python package that allows you to generate QR codes for various cryptocurrencies.

## Installation

You can install Crypto QR Codes using pip:

```bash
pip install crypto-qr-codes
```
## Usage

To use Crypto QR Codes, import the `create_qr_code` function from the `crypto_qr_codes.qr` module. Here's an example:

```python
from crypto_qr_codes.qr import create_qr_code

crypto_currency = "BTC"
crypto_address = "3N8auHJMn6GQzVjKXF5e2eNn5b6d4wy4G4"
amount = 0.1
label = "My Bitcoin Address"
message = "Payment for goods"

create_qr_code(crypto_currency, crypto_address, amount, label, message)
```
## Parameters
The create_qr_code function takes the following parameters:

crypto_currency (required): A string that represents the cryptocurrency.
crypto_address (required): A string that represents the cryptocurrency address.
amount (optional): A float that represents the amount to be paid.
label (optional): A string that represents the label for the payment.
message (optional): A string that represents a message for the payment.
filename (optional): A string that represents the name of the file to save the QR code. Defaults to output.png.
## Returns
The create_qr_code function returns the full path of the generated QR code image file.
## Testing
To run the tests for Crypto QR Codes, run the following command:
```bash
python -m unittest tests.test_qr
```
## License
This project is licensed under the MIT License.




